# OpalPluginCodecManager Class Reference

`#include <opalpluginmgr.h>`

List of all members.

## Public Member Functions

| OpalPluginCodecManager (PPluginManager *pluginMgr=NULL)
| ~OpalPluginCodecManager ()
void | RegisterStaticCodec (const H323StaticPluginCodecFactory::Key_T &name, PluginCodec_GetAPIVersionFunction getApiVerFn, PluginCodec_GetCodecFunction getCodecFn)
void | OnLoadPlugin (PDynaLink &dll, INT code)
virtual void | OnShutdown ()

## Static Public Member Functions

static void | Bootstrap ()

## Protected Member Functions

void | RegisterPluginPair (PluginCodec_Definition *_encoderCodec, PluginCodec_Definition *_decoderCodec, OpalPluginCodecHandler *handler)
void | RegisterCodecPlugins (unsigned int count, PluginCodec_Definition *codecList, OpalPluginCodecHandler *handler)
void | UnregisterCodecPlugins (unsigned int count, PluginCodec_Definition *codecList, OpalPluginCodecHandler *handler)

## Protected Attributes

PList< OpalMediaFormat > | mediaFormatsOnHeap

## Constructor & Destructor Documentation

OpalPluginCodecManager::OpalPluginCodecManager | ( | PPluginManager * | pluginMgr = `NULL` | ) |

OpalPluginCodecManager::~OpalPluginCodecManager | ( |  | ) |

## Member Function Documentation

void OpalPluginCodecManager::RegisterStaticCodec | ( | const H323StaticPluginCodecFactory::Key_T & | name,
|  | PluginCodec_GetAPIVersionFunction | getApiVerFn,
|  | PluginCodec_GetCodecFunction | getCodecFn |
| ) |  |  |

void OpalPluginCodecManager::OnLoadPlugin | ( | PDynaLink & | dll,
|  | INT | code |
| ) |  |  |

virtual void OpalPluginCodecManager::OnShutdown | ( |  | ) | `[virtual]`

static void OpalPluginCodecManager::Bootstrap | ( |  | ) | `[static]`

void OpalPluginCodecManager::RegisterPluginPair | ( | PluginCodec_Definition * | _encoderCodec,
|  | PluginCodec_Definition * | _decoderCodec,
|  | OpalPluginCodecHandler * | handler |
| ) |  |  | `[protected]`

void OpalPluginCodecManager::RegisterCodecPlugins | ( | unsigned int | count,
|  | PluginCodec_Definition * | codecList,
|  | OpalPluginCodecHandler * | handler |
| ) |  |  | `[protected]`

void OpalPluginCodecManager::UnregisterCodecPlugins | ( | unsigned int | count,
|  | PluginCodec_Definition * | codecList,
|  | OpalPluginCodecHandler * | handler |
| ) |  |  | `[protected]`

## Member Data Documentation

PList<OpalMediaFormat> OpalPluginCodecManager::mediaFormatsOnHeap `[protected]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h